﻿using Models.Table;

namespace APIs.Req
{
    public class CommonReq
    {
        public String updateTime { get; set; }
    }

    public class HandGetOrderReq
    {
        public string warehouseId { get; set; }
    }

    public class GetPoliceInfoByHkDeviceReq
    {
        public int hkDevice { get; set; }
    }

    public class UpdateHKPictureReq
    {
        public byte[] picture { get; set; }
        public string policeId { get; set; }
    }

    public class GetInventoryOrderReq
    {
        public string warehouseId { get; set; }
    }

    public class StartInventoryOrderReq
    {
        public string orderId { get; set; }
    }

    public class GetWarehouseConfigReq
    {
        public string deviceId { get; set; }
        public string warehouseId { get; set; }
    }

    public class UpdateFingerReq
    {
        public string policeId { get; set; }
        public List<PoliceFinger> fingerList { get; set; }
    }

    public class SetDehumidifierReq
    {
        public string devId { get; set; }
        public int? setState { get; set; }
        public string setHumid { get; set; }
    }

    public class UploadInventoryOrderReq
    {
        public long? orderId { get; set; }
        public int? totalNum { get; set; }
        public int? actualNum { get; set; }
        public int? addNum { get; set; }
        public int? deleteNum { get; set; }
        public List<InventoryDetail> detailList { get; set; }

        public class InventoryDetail
        {
            public long? id { get; set; }
            public string type_id { get; set; }
            public string sizeId { get; set; }
            public int? stockNumber { get; set; }
            public int? fixNumber { get; set; }
            public int? num { get; set; }
            public int? state { get; set; }
            public List<string> epcList { get; set; }
        }
    }
}